org.mariadb.jdbc.internal.com.read.dao

## Interface CmdInformation

All Known Implementing Classes:
  CmdInformationBatch, CmdInformationMultiple, CmdInformationSingle

    public interface CmdInformation

### Field Summary

Fields
`static int` `RESULT_SET_VALUE`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addErrorStat()`
`void` `addResultSetStat()`
`void` `addSuccessStat(long updateCount, long insertId)`
`ResultSet` `getBatchGeneratedKeys(Protocol protocol)`
`int` `getCurrentStatNumber()`
`ResultSet` `getGeneratedKeys(Protocol protocol)`
`long` `getLargeUpdateCount()`
`long[]` `getLargeUpdateCounts()`
`int` `getUpdateCount()`
`int[]` `getUpdateCounts()`
`boolean` `isCurrentUpdateCount()`
`boolean` `moreResults()`
`void` `reset()`
`void` `setRewrite(boolean rewritten)`

### Field Detail

#### RESULT_SET_VALUE

    static final int RESULT_SET_VALUE

See Also:
  Constant Field Values

### Method Detail

#### getUpdateCounts

    int[] getUpdateCounts()

#### getLargeUpdateCounts

    long[] getLargeUpdateCounts()

#### getUpdateCount

    int getUpdateCount()

#### getLargeUpdateCount

    long getLargeUpdateCount()

#### addSuccessStat

    void addSuccessStat(long updateCount,
                        long insertId)

#### addErrorStat

    void addErrorStat()

#### reset

    void reset()

#### addResultSetStat

    void addResultSetStat()

#### getGeneratedKeys

    ResultSet getGeneratedKeys(Protocol protocol)

#### getBatchGeneratedKeys

    ResultSet getBatchGeneratedKeys(Protocol protocol)

#### getCurrentStatNumber

    int getCurrentStatNumber()

#### moreResults

    boolean moreResults()

#### isCurrentUpdateCount

    boolean isCurrentUpdateCount()

#### setRewrite

    void setRewrite(boolean rewritten)